Bug 1260053 - External monitor remains black with kernel 4.1.6-200.fc22.x86_64 - nouveau reports "link training failed"
External monitor remains black with kernel 4.1.6-200.fc22.x86_64 - nouveau re...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 06:20 EDT by Fredy Neeser
Modified: 2017-12-29 06:24 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:55:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Journal showing "nouveau ... link training failed" (532.76 KB, text/plain)
2015-09-04 06:20 EDT, Fredy Neeser
no flags Details
Xorg log file for BAD kernel (47.94 KB, text/plain)
2015-09-04 06:25 EDT, Fredy Neeser
no flags Details

  None (edit)
Description Fredy Neeser 2015-09-04 06:20:15 EDT
Created attachment 1070208 [details]
Journal showing "nouveau ... link training failed"

Description of problem:

The latest kernel 4.1.6-200.fc22 breaks my dual-monitor setup with KDE Plasma 5
on a Lenovo W530 "Optimus" laptop -- my setup works fine with kernels up to and including 4.1.3-201.fc22.x86_64.

My setup uses the intel+nouveau GPU drivers (no bumblebee, no proprietary nvidia drivers) and it's in fact the only setup for which I managed to get the external monitor working on Fedora 22 with KDE Plasma 5.

When I boot with kernel 4.1.6-200.fc22, the external monitor remains black, whereas the LVDS continues to work. The journal has several instances of

  kernel: nouveau E[   PDISP][0000:01:00.0][0x00000006] 06:0006:0f48: link training failed

which are NOT present with previous kernels.


Setup details:

My KDE Plasma 5 setup is Xinerama-like, where the (single) screen extends over both LVDS and the external monitor.  The external monitor is connected via DP to the nvidia GPU only (a limitation of Optimus technology), so the external monitor is necessarily driven by the nouveau driver, whereas the LVDS is driven by the intel driver.

Nevertheless, KDE Plasma 5 manages to extend the desktop over both monitors.  Usually I set the KDE Display Configuration such that the external monitor acts as the "Primary display".  I am not using an xorg.conf file.


Version-Release number of selected component (if applicable):

kernel 4.1.6-200.fc22.x86_64 (BAD) 
kernel 4.1.3-201.fc22.x86_64 (GOOD)

kwin-5.3.2-1.fc22.x86_64
kwin-libs-5.3.2-1.fc22.x86_64
kf5-kwindowsystem-5.12.0-1.fc22.x86_64

xorg-x11-drv-intel-2.99.917-15.20150729.fc22.x86_64
xorg-x11-drv-nouveau-1.0.11-2.fc22.x86_64
xorg-x11-drv-vesa-2.3.2-20.fc22.x86_64

mesa-dri-drivers-10.6.3-1.20150729.fc22.x86_64

libdrm-2.4.61-3.fc22.x86_64
libdrm-devel-2.4.61-3.fc22.x86_64
libdrm-2.4.61-3.fc22.i686


How reproducible: 100% (same issue for 2 reboots into new kernel)

Steps to Reproduce:
1.  KDE Plasma 5 dual-monitor setup on an "Optimus" laptop, as described above.
    Reboot into latest kernel 4.1.6-200.fc22
2.  Enter LUKS password into a small pop-up window.
    With kernel 4.1.6-200.fc22, the pop-up appears on the external monitor.
    (With older kernels, the pop-up appears on the LVDS.)
3.  On the Fedora welcome screen (on LVDS), Login to KDE Plasma 5


Actual results:
External monitor remains black. Journal has entries
  kernel: nouveau E[   PDISP][0000:01:00.0][0x00000006] 06:0006:0f48: link training failed

Expected results:
External monitor should work, as with previous kernels.
Link training (for the DP, I guess) should not fail.


Additional info:
It's weird that the LUKS password pop-up window does work on the external monitor, but after login, the external monitor remains black.

Compared to the GOOD kernel, Xorg.0.log for the BAD kernel shows the following diffs:
- Fewer NOUVEAU Modeline entries
- New lines that were not present with the GOOD kernel:
      [   263.616] (II) AIGLX: Suspending AIGLX clients for VT switch
      [   263.623] (II) NOUVEAU(G0): NVLeaveVT is called.

With both kernels, the same EDID is shown for the external monitor.

Regardless of whether I boot with GOOD or BAD kernel, ~/.xsession-errors shows
      kwin_core: screens:  2 desktops:  4


The attached journal contains several errors
  kernel: [drm:drm_wait_vblank [drm]] *ERROR* Unsupported type value ...

(of which I removed repetitions) but these errors are also present with the GOOD kernel -- see
  https://bugzilla.redhat.com/show_bug.cgi?id=1243432
Comment 1 Fredy Neeser 2015-09-04 06:25:00 EDT
Created attachment 1070209 [details]
Xorg log file for BAD kernel
Comment 2 Fredy Neeser 2015-09-04 07:02:47 EDT
Output of xrandr when booting with GOOD kernel.

$ xrandr -q
Screen 0: minimum 8 x 8, current 4480 x 1440, maximum 32767 x 32767
LVDS1 connected 1920x1080+0+360 (normal left inverted right x axis y axis) 344mm x 193mm
   1920x1080     60.02*+  50.03  
   1400x1050     59.98  
   1600x900      60.00  
   1280x1024     60.02  
   1280x960      60.00  
   1368x768      60.00                                                                                                        
   1280x720      60.00                                                                                                        
   1024x768      60.00                                                                                                        
   1024x576      60.00                                                                                                        
   960x540       60.00                                                                                           
   800x600       60.32    56.25                                                                                  
   864x486       60.00                                                                                           
   640x480       59.94                                                                                    
   720x405       60.00                                                                                    
   640x360       60.00                                                                                    
VGA1 disconnected (normal left inverted right x axis y axis)                                            
VIRTUAL1 disconnected (normal left inverted right x axis y axis)                                        
LVDS-1-2 disconnected (normal left inverted right x axis y axis)                                         
VGA-1-2 disconnected (normal left inverted right x axis y axis)                                          
DP-1-1 disconnected (normal left inverted right x axis y axis)                                             
DP-1-2 disconnected (normal left inverted right x axis y axis)                                               
DP-1-3 connected 2560x1440+1920+0 (normal left inverted right x axis y axis) 597mm x 336mm                           
   2560x1440     59.95*+                                                                                                      
   1920x1200     59.88  
   1920x1080     60.00    50.00    59.94    24.00    23.98  
   1920x1080i    60.00    50.00    59.94  
   1600x1200     60.00  
   1680x1050     59.95  
   1280x1024     75.02    60.02  
   1280x800      59.81  
   1152x864      75.00  
   1280x720      60.00    50.00    59.94  
   1024x768      75.08    60.00  
   800x600       75.00    60.32  
   720x576       50.00  
   720x576i      50.00  
   720x480       60.00    59.94  
   720x480i      60.00    59.94  
   640x480       75.00    60.00    59.94  
   720x400       70.08  
  1280x1024 (0x76) 108.000MHz
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock  63.98KHz
        v: height 1024 start 1025 end 1028 total 1066           clock  60.02Hz
  1024x768 (0x7d) 65.000MHz
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock  48.36KHz
        v: height  768 start  771 end  777 total  806           clock  60.00Hz
  800x600 (0x7f) 40.000MHz
        h: width   800 start  840 end  968 total 1056 skew    0 clock  37.88KHz
        v: height  600 start  601 end  605 total  628           clock  60.32Hz
  640x480 (0x88) 25.175MHz
        h: width   640 start  656 end  752 total  800 skew    0 clock  31.47KHz
        v: height  480 start  490 end  492 total  525           clock  59.94Hz
Comment 3 Fredy Neeser 2015-09-15 05:41:23 EDT
Test results after applying the latest updates, including some important ones:

mesa* 10.6.3-2.20150729.fc22
  Add upstream brw_meta_fast_clear patch to workaround crasher regression
  in recent xorg-x11-drv-intel update
  https://bugzilla.redhat.com/show_bug.cgi?id=1259443

binutils* 2.25-9.fc22
  cherry-pick fix for a gcc bug that affected Qt/KDE
  https://bugzilla.redhat.com/show_bug.cgi?id=1193044

kernel 4.1.6-201.fc22
  https://bugzilla.redhat.com/show_bug.cgi?id=1256746
  Bug 1256746 - (CVE-2015-6666) CVE-2015-6666 kernel: Linux x86_64 NT flag


Tests: Connect external monitor via DP to port replicator.
       Boot, logon to KDE 5.

Test 1 with kernel 4.1.6-201.fc22.x86_64
----------------------------------------
Still same issue: External monitor remains black, and journal shows several

  kernel: nouveau E[   PDISP][0000:01:00.0][0x00000006] 06:0006:0f48: link training failed

errors ...

Test 2 with kernel 4.1.3-201.fc22.x86_64
----------------------------------------
External monitor is working


Something definitely broke in nouveau between kernel 4.1.3-201.fc22.x86_64 and 4.1.6-201.fc22.x86_64 -- this looks like a nouveau kernel module issue to me.

The problem sounds somewhat similar to
https://www.mail-archive.com/nouveau@lists.freedesktop.org/msg19953.html
[Nouveau] Blank Screen on Mac Book Retina

which related a "blank screen" issue to a dpms fix

    "SOR_PWR has no effect to power-off DP links, unlike other SOR protocols.
    Instead, on the source side, we cut power to the lanes after having put
    the sink into D3.  Link training takes care of everything required to
    bring it back again.
    
    Signed-off-by: Ben Skeggs <bske...@redhat.com> "


Any ideas for debugging / narrowing down the issue?
Comment 4 Fredy Neeser 2015-09-18 09:38:51 EDT
After kernel-4.1.3-201.fc22.x86_64 (GOOD), there were two other kernels, which had never appeared on my laptop.  That's an opportunity to narrow down the issue by testing those intermediate kernel versions.  I manually installed and tested both

  kernel-4.1.5-200.fc22  and
  kernel-4.1.4-200.fc22

and, lo and behold, both have the same issue, resulting in a black external monitor and nouveau errors

  kernel: nouveau E[   PDISP][0000:01:00.0][0x00000006] 06:0006:0f48: link training failed

So ... the issue started with kernel-4.1.4-200.fc22, yet I cannot see anything related to nouveau in the commit for Linux v4.1.4

  http://pkgs.fedoraproject.org/cgit/kernel.git/commit/?h=f22&id=e7a2da13e8c4f399da2a28d97f958edb3c599e12

or in

  http://pkgs.fedoraproject.org/cgit/kernel.git/log/?h=f22

Note that with the 4.1.4, 4.1.5 and 4.1.6 kernels, the LUKS password pop-up window comes up on the external monitor, but after login, the external monitor nevertheless remains black.
OTOH, in kernel-4.1.3-201.fc22.x86_64, the LUKS password comes up on the LVDS, but after login, the external monitor works.

Perhaps this gives a clue?

Please have a look at this issue.  The upstream nouveau developers cannot see any recent changes that might explain the nouveau "link training failed" error.
Reassigned to kernel, as it looks more likely to me that something else broke in kernel 4.1.4, causing theses issues with nouveau.
Comment 5 Fredy Neeser 2015-10-20 12:24:17 EDT
After fully updating my system last night (and getting rid of a KDE frameworks 5 problem), I retested various recent kernels:

kernel 4.1.3-201.fc22: GOOD
---------------------------
* Login to KDE => External monitor (driven by nouveau) and LVDS are working fine

kernel 4.1.10-200.fc22: BAD
---------------------------
* In a VT, I see
    nouveau E[   PBUS][0000:01:00.0] MMIO write of 0x00000002 FAULT at 0x4188ac [ ! ENGINE ]
* Journal shows several instances of
    nouveau E[   PDISP][0000:01:00.0][0x00000006] 04:0006:0f44: link training failed
* Login to KDE: External monitor remains BLACK

kernel 4.2.3-200.fc22: BAD
--------------------------
* Journal shows several instances of
    nouveau[E   PDISP][0000:01:00.0][0x00000006] 04:0006:0f44: link training failed

* Login to KDE: External monitor remains BLACK


Moreover, after testing both 4.2.3-200 and 4.1.10-200, a warm boot into 4.1.3-201 did not result in a working external monitor.
Only power-off -> reboot into 4.1.3-201 made it work again.

Except for the above nouveau errors, the journals for the newer kernels show no other obvious/additional errors compared to journal for 4.1.3-201.
Comment 6 Fredy Neeser 2015-10-20 12:38:04 EDT
There's a similar bug with a 4.2.0 Fedora kernel:

  https://bugs.freedesktop.org/show_bug.cgi?id=91954
  "link training failed": nouveau does not recover from monitor suspend

for a Lenovo Thinkstation P500 with Nvidia Quadro K620 (GM107/NV117)
Thinkvision 2840m connected via Displayport.

In my case, it's a Lenovo W530 with
 
$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GK107GLM [Quadro K1000M] (rev a1)

where the external monitor is also connected via Displayport.
Comment 7 Garrett Holmstrom 2015-10-29 20:00:22 EDT
I believe I'm seeing this on a zBook with a Quadro K2100M and kernel-4.2.3-300.fc23 while I connect it to a dock with two DP displays:

[   67.550403] nouveau E[   PDISP][0000:01:00.0][0x00000006] 03:0006:0f81: link training failed
[   67.663579] nouveau E[   PDISP][0000:01:00.0][0x00000006] 03:0006:0f81: link training failed
[   69.767498] nouveau E[   PDISP][0000:01:00.0][0x00000006] 03:0006:0f81: link training failed
[   69.877030] nouveau E[   PDISP][0000:01:00.0][0x00000006] 03:0006:0f81: link training failed

Everything works if I boot it with no external displays connected, but if I then connect it to its dock all three screens immediately blacken and keyboard inputs don't seem to change that, though ssh still works.

If I boot it while docked the boot process doesn't even make it to the luks password screen before everything goes black.  I can still enter the password to boot the system, though.  The display-related dmesg output after I do that is as follows:

[    4.418051] fb: switching to nouveaufb from EFI VGA
[    4.418066] Console: switching to colour dummy device 80x25
[    4.418393] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0e63c0a1
[    4.418395] nouveau  [  DEVICE][0000:01:00.0] Chipset: GK106 (NVE6)
[    4.418396] nouveau  [  DEVICE][0000:01:00.0] Family : NVE0
[    4.423077] nouveau  [   VBIOS][0000:01:00.0] using image from ACPI
[    4.423167] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
[    4.423169] nouveau  [   VBIOS][0000:01:00.0] version 80.06.68.00.06
[    4.423688] nouveau  [     MXM][0000:01:00.0] BIOS version 3.0
[    4.425779] ACPI Warning: \_SB_.PCI0.PEGP.DGFX._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20150619/nsarguments-95)
[    4.426009] nouveau  [     MXM][0000:01:00.0] MXMS Version 3.0
[    4.426035] nouveau  [     PMC][0000:01:00.0] MSI interrupts enabled
[    4.426073] nouveau  [     PFB][0000:01:00.0] RAM type: GDDR5
[    4.426074] nouveau  [     PFB][0000:01:00.0] RAM size: 2048 MiB
[    4.426075] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
[    4.428192] nouveau  [    VOLT][0000:01:00.0] GPU voltage: 600000uv
[    4.478163] nouveau  [  PTHERM][0000:01:00.0] FAN control: none / external
[    4.478172] nouveau  [  PTHERM][0000:01:00.0] fan management: automatic
[    4.478187] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
[    4.478224] nouveau  [     CLK][0000:01:00.0] 07: core 405 MHz memory 810 MHz 
[    4.478247] nouveau  [     CLK][0000:01:00.0] 0a: core 405-666 MHz memory 1620 MHz 
[    4.478275] nouveau  [     CLK][0000:01:00.0] 0f: core 405-666 MHz memory 3008 MHz 
[    4.478340] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 810 MHz 
[    4.610914] [TTM] Zone  kernel: Available graphics memory: 8100616 kiB
[    4.610916] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
[    4.610918] [TTM] Initializing pool allocator
[    4.610921] [TTM] Initializing DMA pool allocator
[    4.610931] nouveau  [     DRM] VRAM: 2048 MiB
[    4.610932] nouveau  [     DRM] GART: 1048576 MiB
[    4.610934] nouveau  [     DRM] TMDS table version 2.0
[    4.610936] nouveau  [     DRM] DCB version 4.0
[    4.610937] nouveau  [     DRM] DCB outp 00: 08000f13 00010034
[    4.610939] nouveau  [     DRM] DCB outp 03: 01075fd6 0f420020
[    4.610940] nouveau  [     DRM] DCB outp 04: 01075f92 00020020
[    4.610941] nouveau  [     DRM] DCB outp 05: 08014fc6 0f420010
[    4.610942] nouveau  [     DRM] DCB outp 06: 08014f82 00020010
[    4.610943] nouveau  [     DRM] DCB outp 08: 04038fb6 0f420010
[    4.610944] nouveau  [     DRM] DCB outp 09: 04038f72 00020010
[    4.610945] nouveau  [     DRM] DCB outp 10: 02027fa6 0f420014
[    4.610946] nouveau  [     DRM] DCB outp 13: 02049f00 00000000
[    4.610947] nouveau  [     DRM] DCB conn 04: 01000446
[    4.610949] nouveau  [     DRM] DCB conn 05: 02000546
[    4.610950] nouveau  [     DRM] DCB conn 06: 00010647
[    4.610951] nouveau  [     DRM] DCB conn 07: 00010747
[    4.610952] nouveau  [     DRM] DCB conn 08: 00020846
[    4.610953] nouveau  [     DRM] DCB conn 09: 00000900
[    4.683893] nouveau E[   PDISP][0000:01:00.0][0x00000006] 03:0006:0f81: link training failed
[    4.709052] nouveau W[     DRM] unknown connector type ff
[    4.709275] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    4.709276] [drm] Driver supports precise vblank timestamp query.
[    4.715755] nouveau  [     DRM] MM: using COPY for buffer copies
[    4.981430] nouveau  [     DRM] allocated 1920x1200 fb: 0x60000, bo ffff8804881a8800
[    4.981502] fbcon: nouveaufb (fb0) is primary device
[   16.700639] nouveau E[   PDISP][0000:01:00.0] chid 2 mthd 0x0080 data 0x00000000 0x00005080 0x0000000d
[   16.700641] nouveau E[   PDISP][0000:01:00.0] Base 1:
[   16.700645] nouveau E[   PDISP][0000:01:00.0] 	0x0080: 0x00000000              
[   16.700649] nouveau E[   PDISP][0000:01:00.0] 	0x0084: 0x00000000 -> 0x00000010
[   16.700651] nouveau E[   PDISP][0000:01:00.0] 	0x0088: 0x00000000 -> 0x00000200
[   16.700656] nouveau E[   PDISP][0000:01:00.0] 	0x008c: 0x00000000              
[   16.700659] nouveau E[   PDISP][0000:01:00.0] 	0x0090: 0x00000000 -> 0x00000001
[   16.700661] nouveau E[   PDISP][0000:01:00.0] 	0x0094: 0x00000000 -> 0xf0000000
[   16.700664] nouveau E[   PDISP][0000:01:00.0] 	0x00a0: 0x00000000              
[   16.700666] nouveau E[   PDISP][0000:01:00.0] 	0x00a4: 0x00000000              
[   16.700669] nouveau E[   PDISP][0000:01:00.0] 	0x00c0: 0x00000000 -> 0xffff0000
[   16.700671] nouveau E[   PDISP][0000:01:00.0] 	0x00c4: 0x00000000              
[   16.700674] nouveau E[   PDISP][0000:01:00.0] 	0x00c8: 0x00000000              
[   16.700676] nouveau E[   PDISP][0000:01:00.0] 	0x00cc: 0x00000000              
[   16.700679] nouveau E[   PDISP][0000:01:00.0] 	0x00e0: 0x00000000 -> 0x40000000
[   16.700681] nouveau E[   PDISP][0000:01:00.0] 	0x00e4: 0x00000000              
[   16.700683] nouveau E[   PDISP][0000:01:00.0] 	0x00e8: 0x00000000              
[   16.700686] nouveau E[   PDISP][0000:01:00.0] 	0x00ec: 0x00000000              
[   16.700688] nouveau E[   PDISP][0000:01:00.0] 	0x00fc: 0x00000000              
[   16.700691] nouveau E[   PDISP][0000:01:00.0] 	0x0100: 0xfffe0000              
[   16.700693] nouveau E[   PDISP][0000:01:00.0] 	0x0104: 0x00000000              
[   16.700696] nouveau E[   PDISP][0000:01:00.0] 	0x0108: 0x18131813              
[   16.700698] nouveau E[   PDISP][0000:01:00.0] 	0x010c: 0xf0000000              
[   16.700701] nouveau E[   PDISP][0000:01:00.0] 	0x0110: 0x00000000              
[   16.700703] nouveau E[   PDISP][0000:01:00.0] 	0x0114: 0x00000000              
[   16.700705] nouveau E[   PDISP][0000:01:00.0] 	0x0118: 0x00000000              
[   16.700708] nouveau E[   PDISP][0000:01:00.0] 	0x011c: 0x00000000              
[   16.700710] nouveau E[   PDISP][0000:01:00.0] 	0x0130: 0x00000000              
[   16.700713] nouveau E[   PDISP][0000:01:00.0] 	0x0134: 0x00000000              
[   16.700715] nouveau E[   PDISP][0000:01:00.0] 	0x0138: 0x00000000              
[   16.700718] nouveau E[   PDISP][0000:01:00.0] 	0x013c: 0x00000000              
[   16.700720] nouveau E[   PDISP][0000:01:00.0] 	0x0140: 0x00010000              
[   16.700723] nouveau E[   PDISP][0000:01:00.0] 	0x0144: 0x00000000              
[   16.700725] nouveau E[   PDISP][0000:01:00.0] 	0x0148: 0x00000000              
[   16.700728] nouveau E[   PDISP][0000:01:00.0] 	0x014c: 0x00000000              
[   16.700730] nouveau E[   PDISP][0000:01:00.0] 	0x0150: 0x00000000              
[   16.700732] nouveau E[   PDISP][0000:01:00.0] 	0x0154: 0x00010000              
[   16.700735] nouveau E[   PDISP][0000:01:00.0] 	0x0158: 0x00000000              
[   16.700737] nouveau E[   PDISP][0000:01:00.0] 	0x015c: 0x00000000              
[   16.700740] nouveau E[   PDISP][0000:01:00.0] 	0x0160: 0x00000000              
[   16.700742] nouveau E[   PDISP][0000:01:00.0] 	0x0164: 0x00000000              
[   16.700745] nouveau E[   PDISP][0000:01:00.0] 	0x0168: 0x00010000              
[   16.700747] nouveau E[   PDISP][0000:01:00.0] 	0x016c: 0x00000000              
[   16.700748] nouveau E[   PDISP][0000:01:00.0] Base 1 - Image 0:
[   16.700751] nouveau E[   PDISP][0000:01:00.0] 	0x0400: 0x00000000 -> 0x00000600
[   16.700753] nouveau E[   PDISP][0000:01:00.0] 	0x0404: 0x00000000              
[   16.700755] nouveau E[   PDISP][0000:01:00.0] 	0x0408: 0x00000000 -> 0x04b00780
[   16.700758] nouveau E[   PDISP][0000:01:00.0] 	0x040c: 0x00000000 -> 0x01001e00
[   16.700760] nouveau E[   PDISP][0000:01:00.0] 	0x0410: 0x0000e900 -> 0x0000cf00
[   16.700761] nouveau E[   PDISP][0000:01:00.0] Base 1 - Image 1:
[   16.700763] nouveau E[   PDISP][0000:01:00.0] 	0x0420: 0x00000000              
[   16.700766] nouveau E[   PDISP][0000:01:00.0] 	0x0424: 0x00000000              
[   16.700768] nouveau E[   PDISP][0000:01:00.0] 	0x0428: 0x00000000              
[   16.700770] nouveau E[   PDISP][0000:01:00.0] 	0x042c: 0x00000000              
[   16.700773] nouveau E[   PDISP][0000:01:00.0] 	0x0430: 0x0000e900              
[   22.712391] nouveau E[   PDISP][0000:01:00.0] chid 3 mthd 0x0080 data 0x00000000 0x00005080 0x0000000d
[   22.712392] nouveau E[   PDISP][0000:01:00.0] Base 2:
[   22.712395] nouveau E[   PDISP][0000:01:00.0] 	0x0080: 0x00000000              
[   22.712397] nouveau E[   PDISP][0000:01:00.0] 	0x0084: 0x00000000 -> 0x00000010
[   22.712400] nouveau E[   PDISP][0000:01:00.0] 	0x0088: 0x00000000 -> 0x00000300
[   22.712402] nouveau E[   PDISP][0000:01:00.0] 	0x008c: 0x00000000              
[   22.712405] nouveau E[   PDISP][0000:01:00.0] 	0x0090: 0x00000000 -> 0x00000001
[   22.712407] nouveau E[   PDISP][0000:01:00.0] 	0x0094: 0x00000000 -> 0xf0000000
[   22.712410] nouveau E[   PDISP][0000:01:00.0] 	0x00a0: 0x00000000              
[   22.712412] nouveau E[   PDISP][0000:01:00.0] 	0x00a4: 0x00000000              
[   22.712415] nouveau E[   PDISP][0000:01:00.0] 	0x00c0: 0x00000000 -> 0xffff0000
[   22.712417] nouveau E[   PDISP][0000:01:00.0] 	0x00c4: 0x00000000              
[   22.712420] nouveau E[   PDISP][0000:01:00.0] 	0x00c8: 0x00000000              
[   22.712422] nouveau E[   PDISP][0000:01:00.0] 	0x00cc: 0x00000000              
[   22.712425] nouveau E[   PDISP][0000:01:00.0] 	0x00e0: 0x00000000 -> 0x40000000
[   22.712427] nouveau E[   PDISP][0000:01:00.0] 	0x00e4: 0x00000000              
[   22.712429] nouveau E[   PDISP][0000:01:00.0] 	0x00e8: 0x00000000              
[   22.712432] nouveau E[   PDISP][0000:01:00.0] 	0x00ec: 0x00000000              
[   22.712434] nouveau E[   PDISP][0000:01:00.0] 	0x00fc: 0x00000000              
[   22.712437] nouveau E[   PDISP][0000:01:00.0] 	0x0100: 0xfffe0000              
[   22.712439] nouveau E[   PDISP][0000:01:00.0] 	0x0104: 0x00000000              
[   22.712442] nouveau E[   PDISP][0000:01:00.0] 	0x0108: 0x18131813              
[   22.712444] nouveau E[   PDISP][0000:01:00.0] 	0x010c: 0xf0000000              
[   22.712447] nouveau E[   PDISP][0000:01:00.0] 	0x0110: 0x00000000              
[   22.712449] nouveau E[   PDISP][0000:01:00.0] 	0x0114: 0x00000000              
[   22.712452] nouveau E[   PDISP][0000:01:00.0] 	0x0118: 0x00000000              
[   22.712454] nouveau E[   PDISP][0000:01:00.0] 	0x011c: 0x00000000              
[   22.712456] nouveau E[   PDISP][0000:01:00.0] 	0x0130: 0x00000000              
[   22.712459] nouveau E[   PDISP][0000:01:00.0] 	0x0134: 0x00000000              
[   22.712461] nouveau E[   PDISP][0000:01:00.0] 	0x0138: 0x00000000              
[   22.712464] nouveau E[   PDISP][0000:01:00.0] 	0x013c: 0x00000000              
[   22.712466] nouveau E[   PDISP][0000:01:00.0] 	0x0140: 0x00010000              
[   22.712468] nouveau E[   PDISP][0000:01:00.0] 	0x0144: 0x00000000              
[   22.712471] nouveau E[   PDISP][0000:01:00.0] 	0x0148: 0x00000000              
[   22.712473] nouveau E[   PDISP][0000:01:00.0] 	0x014c: 0x00000000              
[   22.712476] nouveau E[   PDISP][0000:01:00.0] 	0x0150: 0x00000000              
[   22.712478] nouveau E[   PDISP][0000:01:00.0] 	0x0154: 0x00010000              
[   22.712481] nouveau E[   PDISP][0000:01:00.0] 	0x0158: 0x00000000              
[   22.712483] nouveau E[   PDISP][0000:01:00.0] 	0x015c: 0x00000000              
[   22.712485] nouveau E[   PDISP][0000:01:00.0] 	0x0160: 0x00000000              
[   22.712488] nouveau E[   PDISP][0000:01:00.0] 	0x0164: 0x00000000              
[   22.712490] nouveau E[   PDISP][0000:01:00.0] 	0x0168: 0x00010000              
[   22.712493] nouveau E[   PDISP][0000:01:00.0] 	0x016c: 0x00000000              
[   22.712494] nouveau E[   PDISP][0000:01:00.0] Base 2 - Image 0:
[   22.712496] nouveau E[   PDISP][0000:01:00.0] 	0x0400: 0x00000000 -> 0x00000600
[   22.712499] nouveau E[   PDISP][0000:01:00.0] 	0x0404: 0x00000000              
[   22.712501] nouveau E[   PDISP][0000:01:00.0] 	0x0408: 0x00000000 -> 0x04b00780
[   22.712503] nouveau E[   PDISP][0000:01:00.0] 	0x040c: 0x00000000 -> 0x01001e00
[   22.712506] nouveau E[   PDISP][0000:01:00.0] 	0x0410: 0x0000e900 -> 0x0000cf00
[   22.712507] nouveau E[   PDISP][0000:01:00.0] Base 2 - Image 1:
[   22.712509] nouveau E[   PDISP][0000:01:00.0] 	0x0420: 0x00000000              
[   22.712511] nouveau E[   PDISP][0000:01:00.0] 	0x0424: 0x00000000              
[   22.712514] nouveau E[   PDISP][0000:01:00.0] 	0x0428: 0x00000000              
[   22.712516] nouveau E[   PDISP][0000:01:00.0] 	0x042c: 0x00000000              
[   22.712519] nouveau E[   PDISP][0000:01:00.0] 	0x0430: 0x0000e900              
[   26.712832] Console: switching to colour frame buffer device 240x67
[   28.779025] nouveau 0000:01:00.0: fb0: nouveaufb frame buffer device
[   28.779026] nouveau 0000:01:00.0: registered panic notifier
[   28.784757] [drm] Initialized nouveau 1.2.2 20120801 for 0000:01:00.0 on minor 0
[   36.894304] nouveau E[   PDISP][0000:01:00.0] chid 2 mthd 0x0080 data 0x00000000 0x10005080 0x0000000d
[   36.894656] nouveau E[   PDISP][0000:01:00.0] Base 1:
[   36.894998] nouveau E[   PDISP][0000:01:00.0] 	0x0080: 0x00000000              
[   36.895347] nouveau E[   PDISP][0000:01:00.0] 	0x0084: 0x00000000 -> 0x00000010
[   36.895697] nouveau E[   PDISP][0000:01:00.0] 	0x0088: 0x00000200              
[   36.896054] nouveau E[   PDISP][0000:01:00.0] 	0x008c: 0x00000000 -> 0x00000001
[   36.896401] nouveau E[   PDISP][0000:01:00.0] 	0x0090: 0x00000001 -> 0x00000002
[   36.896749] nouveau E[   PDISP][0000:01:00.0] 	0x0094: 0x00000000 -> 0xf0000000
[   36.897096] nouveau E[   PDISP][0000:01:00.0] 	0x00a0: 0x00000000              
[   36.897448] nouveau E[   PDISP][0000:01:00.0] 	0x00a4: 0x00000000              
[   36.897800] nouveau E[   PDISP][0000:01:00.0] 	0x00c0: 0x00000000 -> 0xffff0000
[   36.898156] nouveau E[   PDISP][0000:01:00.0] 	0x00c4: 0x00000000              
[   36.898503] nouveau E[   PDISP][0000:01:00.0] 	0x00c8: 0x00000000              
[   36.898838] nouveau E[   PDISP][0000:01:00.0] 	0x00cc: 0x00000000              
[   36.899166] nouveau E[   PDISP][0000:01:00.0] 	0x00e0: 0x40000000              
[   36.899490] nouveau E[   PDISP][0000:01:00.0] 	0x00e4: 0x00000000              
[   36.899817] nouveau E[   PDISP][0000:01:00.0] 	0x00e8: 0x00000000              
[   36.900138] nouveau E[   PDISP][0000:01:00.0] 	0x00ec: 0x00000000              
[   36.900456] nouveau E[   PDISP][0000:01:00.0] 	0x00fc: 0x00000000              
[   36.900776] nouveau E[   PDISP][0000:01:00.0] 	0x0100: 0xfffe0000              
[   36.901091] nouveau E[   PDISP][0000:01:00.0] 	0x0104: 0x00000000              
[   36.901409] nouveau E[   PDISP][0000:01:00.0] 	0x0108: 0x18131813              
[   36.901728] nouveau E[   PDISP][0000:01:00.0] 	0x010c: 0xf0000000              
[   36.902045] nouveau E[   PDISP][0000:01:00.0] 	0x0110: 0x00000000              
[   36.902361] nouveau E[   PDISP][0000:01:00.0] 	0x0114: 0x00000000              
[   36.902681] nouveau E[   PDISP][0000:01:00.0] 	0x0118: 0x00000000              
[   36.902996] nouveau E[   PDISP][0000:01:00.0] 	0x011c: 0x00000000              
[   36.903309] nouveau E[   PDISP][0000:01:00.0] 	0x0130: 0x00000000              
[   36.903623] nouveau E[   PDISP][0000:01:00.0] 	0x0134: 0x00000000              
[   36.903936] nouveau E[   PDISP][0000:01:00.0] 	0x0138: 0x00000000              
[   36.904252] nouveau E[   PDISP][0000:01:00.0] 	0x013c: 0x00000000              
[   36.904564] nouveau E[   PDISP][0000:01:00.0] 	0x0140: 0x00010000              
[   36.904876] nouveau E[   PDISP][0000:01:00.0] 	0x0144: 0x00000000              
[   36.905186] nouveau E[   PDISP][0000:01:00.0] 	0x0148: 0x00000000              
[   36.905495] nouveau E[   PDISP][0000:01:00.0] 	0x014c: 0x00000000              
[   36.905803] nouveau E[   PDISP][0000:01:00.0] 	0x0150: 0x00000000              
[   36.906116] nouveau E[   PDISP][0000:01:00.0] 	0x0154: 0x00010000              
[   36.906427] nouveau E[   PDISP][0000:01:00.0] 	0x0158: 0x00000000              
[   36.906739] nouveau E[   PDISP][0000:01:00.0] 	0x015c: 0x00000000              
[   36.907053] nouveau E[   PDISP][0000:01:00.0] 	0x0160: 0x00000000              
[   36.907366] nouveau E[   PDISP][0000:01:00.0] 	0x0164: 0x00000000              
[   36.907681] nouveau E[   PDISP][0000:01:00.0] 	0x0168: 0x00010000              
[   36.907995] nouveau E[   PDISP][0000:01:00.0] 	0x016c: 0x00000000              
[   36.908308] nouveau E[   PDISP][0000:01:00.0] Base 1 - Image 0:
[   36.908622] nouveau E[   PDISP][0000:01:00.0] 	0x0400: 0x00000600 -> 0x00012200
[   36.908953] nouveau E[   PDISP][0000:01:00.0] 	0x0404: 0x00000000              
[   36.909282] nouveau E[   PDISP][0000:01:00.0] 	0x0408: 0x04b00780              
[   36.909613] nouveau E[   PDISP][0000:01:00.0] 	0x040c: 0x01001e00              
[   36.909947] nouveau E[   PDISP][0000:01:00.0] 	0x0410: 0x0000cf00              
[   36.910282] nouveau E[   PDISP][0000:01:00.0] Base 1 - Image 1:
[   36.910620] nouveau E[   PDISP][0000:01:00.0] 	0x0420: 0x00000000              
[   36.910969] nouveau E[   PDISP][0000:01:00.0] 	0x0424: 0x00000000              
[   36.911316] nouveau E[   PDISP][0000:01:00.0] 	0x0428: 0x00000000              
[   36.911665] nouveau E[   PDISP][0000:01:00.0] 	0x042c: 0x00000000              
[   36.912014] nouveau E[   PDISP][0000:01:00.0] 	0x0430: 0x0000e900              
[   40.893087] nouveau E[   PDISP][0000:01:00.0] chid 3 mthd 0x0080 data 0x00000000 0x10005080 0x0000000d
[   40.893092] nouveau E[   PDISP][0000:01:00.0] Base 2:
[   40.893095] nouveau E[   PDISP][0000:01:00.0] 	0x0080: 0x00000000              
[   40.893099] nouveau E[   PDISP][0000:01:00.0] 	0x0084: 0x00000000 -> 0x00000010
[   40.893102] nouveau E[   PDISP][0000:01:00.0] 	0x0088: 0x00000300              
[   40.893105] nouveau E[   PDISP][0000:01:00.0] 	0x008c: 0x00000000 -> 0x00000001
[   40.893107] nouveau E[   PDISP][0000:01:00.0] 	0x0090: 0x00000001 -> 0x00000002
[   40.893111] nouveau E[   PDISP][0000:01:00.0] 	0x0094: 0x00000000 -> 0xf0000000
[   40.893113] nouveau E[   PDISP][0000:01:00.0] 	0x00a0: 0x00000000              
[   40.893116] nouveau E[   PDISP][0000:01:00.0] 	0x00a4: 0x00000000              
[   40.893119] nouveau E[   PDISP][0000:01:00.0] 	0x00c0: 0x00000000 -> 0xffff0000
[   40.893124] nouveau E[   PDISP][0000:01:00.0] 	0x00c4: 0x00000000              
[   40.893127] nouveau E[   PDISP][0000:01:00.0] 	0x00c8: 0x00000000              
[   40.893129] nouveau E[   PDISP][0000:01:00.0] 	0x00cc: 0x00000000              
[   40.893132] nouveau E[   PDISP][0000:01:00.0] 	0x00e0: 0x40000000              
[   40.893135] nouveau E[   PDISP][0000:01:00.0] 	0x00e4: 0x00000000              
[   40.893138] nouveau E[   PDISP][0000:01:00.0] 	0x00e8: 0x00000000              
[   40.893141] nouveau E[   PDISP][0000:01:00.0] 	0x00ec: 0x00000000              
[   40.893145] nouveau E[   PDISP][0000:01:00.0] 	0x00fc: 0x00000000              
[   40.893148] nouveau E[   PDISP][0000:01:00.0] 	0x0100: 0xfffe0000              
[   40.893151] nouveau E[   PDISP][0000:01:00.0] 	0x0104: 0x00000000              
[   40.893154] nouveau E[   PDISP][0000:01:00.0] 	0x0108: 0x18131813              
[   40.893157] nouveau E[   PDISP][0000:01:00.0] 	0x010c: 0xf0000000              
[   40.893159] nouveau E[   PDISP][0000:01:00.0] 	0x0110: 0x00000000              
[   40.893162] nouveau E[   PDISP][0000:01:00.0] 	0x0114: 0x00000000              
[   40.893165] nouveau E[   PDISP][0000:01:00.0] 	0x0118: 0x00000000              
[   40.893169] nouveau E[   PDISP][0000:01:00.0] 	0x011c: 0x00000000              
[   40.893172] nouveau E[   PDISP][0000:01:00.0] 	0x0130: 0x00000000              
[   40.893174] nouveau E[   PDISP][0000:01:00.0] 	0x0134: 0x00000000              
[   40.893177] nouveau E[   PDISP][0000:01:00.0] 	0x0138: 0x00000000              
[   40.893179] nouveau E[   PDISP][0000:01:00.0] 	0x013c: 0x00000000              
[   40.893182] nouveau E[   PDISP][0000:01:00.0] 	0x0140: 0x00010000              
[   40.893185] nouveau E[   PDISP][0000:01:00.0] 	0x0144: 0x00000000              
[   40.893187] nouveau E[   PDISP][0000:01:00.0] 	0x0148: 0x00000000              
[   40.893192] nouveau E[   PDISP][0000:01:00.0] 	0x014c: 0x00000000              
[   40.893194] nouveau E[   PDISP][0000:01:00.0] 	0x0150: 0x00000000              
[   40.893197] nouveau E[   PDISP][0000:01:00.0] 	0x0154: 0x00010000              
[   40.893200] nouveau E[   PDISP][0000:01:00.0] 	0x0158: 0x00000000              
[   40.893203] nouveau E[   PDISP][0000:01:00.0] 	0x015c: 0x00000000              
[   40.893206] nouveau E[   PDISP][0000:01:00.0] 	0x0160: 0x00000000              
[   40.893209] nouveau E[   PDISP][0000:01:00.0] 	0x0164: 0x00000000              
[   40.893213] nouveau E[   PDISP][0000:01:00.0] 	0x0168: 0x00010000              
[   40.893216] nouveau E[   PDISP][0000:01:00.0] 	0x016c: 0x00000000              
[   40.893217] nouveau E[   PDISP][0000:01:00.0] Base 2 - Image 0:
[   40.893220] nouveau E[   PDISP][0000:01:00.0] 	0x0400: 0x00000600 -> 0x0001b000
[   40.893223] nouveau E[   PDISP][0000:01:00.0] 	0x0404: 0x00000000              
[   40.893226] nouveau E[   PDISP][0000:01:00.0] 	0x0408: 0x04b00780 -> 0x04380780
[   40.893229] nouveau E[   PDISP][0000:01:00.0] 	0x040c: 0x01001e00              
[   40.893231] nouveau E[   PDISP][0000:01:00.0] 	0x0410: 0x0000cf00              
[   40.893232] nouveau E[   PDISP][0000:01:00.0] Base 2 - Image 1:
[   40.893237] nouveau E[   PDISP][0000:01:00.0] 	0x0420: 0x00000000              
[   40.893239] nouveau E[   PDISP][0000:01:00.0] 	0x0424: 0x00000000              
[   40.893242] nouveau E[   PDISP][0000:01:00.0] 	0x0428: 0x00000000              
[   40.893245] nouveau E[   PDISP][0000:01:00.0] 	0x042c: 0x00000000              
[   40.893249] nouveau E[   PDISP][0000:01:00.0] 	0x0430: 0x0000e900              

Similar errors continue to show up periodically after that.  Is there any more info I can provide to help with this issue?
Comment 8 Fredy Neeser 2015-10-30 05:34:59 EDT
(In reply to Garrett Holmstrom from comment #7)
> I believe I'm seeing this on a zBook with a Quadro K2100M and
> kernel-4.2.3-300.fc23 while I connect it to a dock with two DP displays:
> 
> [   67.550403] nouveau E[   PDISP][0000:01:00.0][0x00000006] 03:0006:0f81:
> link training failed
...
 
> Everything works if I boot it with no external displays connected, but if I
> then connect it to its dock all three screens immediately blacken and
> keyboard inputs don't seem to change that, though ssh still works.

Garrett, thanks for your testing and feedback.
Which are your UEFI BIOS Graphics settings? Do you have "Optimus" enabled?

> If I boot it while docked the boot process doesn't even make it to the luks
> password screen before everything goes black.  I can still enter the
> password to boot the system, though.

On my W530 laptop (with NVIDIA Corporation GK107GLM [Quadro K1000M]), kernel versions >= 4.1.4 started to move the luks password popup window from the LVDS to my external monitor, but I am still able to see that password window on the external monitor.  But after entering my credentials in the KDM, the external monitor (my primary display) remains black.

Which reminds me that I should retest a newer kernel in combination with SDDM (I switched from KDM to SDDM a few days ago). 


> Similar errors continue to show up periodically after that.  Is there any
> more info I can provide to help with this issue?

You might have more luck with a 4.1.3 kernel (if you have a possibility to test an older kernel).

Our issues might have something to do with the display's Power Save mode -- it may be possible to disable it for a test.

Furthermore,
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-nouveau/+bug/1511473

mentions that nouveau may have trouble with GPU power management, if you see something like

  nouveau E[ PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x002140 [ !ENGINE ]

I do remember seeing this as well, so I might try Ilia Mirkin's suggestion to boot with 'nouveau.runpm=0'.
Comment 9 Fedora End Of Life 2016-07-19 14:55:24 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.